Qyra
ReferenceProjects

Get validation results

Get validation results for a project. This will return the results of the latest validation job.

GET/api/v1/projects/{projectUuid}/validate

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesthe projectId for the validation

Query parameters

NameTypeRequiredDescription
fromSettingsbooleanNoboolean to know if this request is made from the settings page, for analytics
jobIdstringNooptional jobId to get results for a specific job, used on CLI

Responses

200 — Success

{
  "results": [
    {
      "source": "chart",
      "spaceUuid": "string",
      "projectUuid": "string",
      "errorType": "chart",
      "error": "string",
      "name": "string",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "validationId": 0,
      "validationUuid": "string",
      "chartName": "string",
      "chartViews": 0,
      "lastUpdatedAt": "2024-01-01T00:00:00.000Z",
      "lastUpdatedBy": "string",
      "tableName": "string",
      "fieldName": "string",
      "chartKind": "line",
      "chartUuid": "string"
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}